Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2024953007: Make DesktopFactoryOzone instances to respect --ozone-platform (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 months, 3 weeks ago by tonikitoo
Modified:
2 months ago
CC:
chromium-reviews, tfarina, vignatti (out of this project), joone
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make DesktopFactoryOzone instances to respect --ozone-platform In order to support "use_ozone=1 ichromeos=0" builds, DesktopFactoryOzone class needs to respect the Ozone platform backend that is going to run. For instance, ui::OzonePlatform class (see ui/ozone/) accomplishes this using the logic provided by ui::OzoneObject. In short, OzoneObject allows OzonePlatform instances (e.g. wayland, GDM, x11) to get selected at runtime, obeying either --ozone-platform command line or using a default value to select the platform backend. This patcj extends this logic to DesktopFactoryOzone class, as a first step towards supporting "use_ozone=1 chromeos=0" builds. DesktopFactoryOzoneWayland is added (with dummy implementations) as a sample implementation and starting point. BUG=295089

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : Make DesktopFactoryOzone instances to respect --ozone-platform #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+154 lines, -10 lines) Patch
M ui/views/BUILD.gn View 1 3 chunks +26 lines, -0 lines 0 comments Download
M ui/views/DEPS View 1 chunk +3 lines, -0 lines 0 comments Download
M ui/views/views.gyp View 1 2 chunks +44 lines, -1 line 2 comments Download
M ui/views/widget/desktop_aura/desktop_factory_ozone.h View 1 chunk +0 lines, -3 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_factory_ozone.cc View 1 chunk +16 lines, -6 lines 1 comment Download
A ui/views/widget/desktop_aura/desktop_factory_ozone_wayland.h View 2 1 chunk +41 lines, -0 lines 0 comments Download
A ui/views/widget/desktop_aura/desktop_factory_ozone_wayland.cc View 1 2 1 chunk +24 lines, -0 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (5 generated)
Michael Forney
Do the views.gyp changes need corresponding changes to BUILD.gn? If so, please make them.
10 months, 3 weeks ago (2016-06-01 20:51:22 UTC) #5
tonikitoo
On 2016/06/01 20:51:22, Michael Forney wrote: > Do the views.gyp changes need corresponding changes to ...
10 months, 3 weeks ago (2016-06-01 21:24:14 UTC) #6
Michael Forney
On 2016/06/01 21:24:14, tonikitoo1 wrote: > On 2016/06/01 20:51:22, Michael Forney wrote: > > Do ...
10 months, 3 weeks ago (2016-06-01 23:28:45 UTC) #7
tonikitoo
On 2016/06/01 23:28:45, Michael Forney wrote: > On 2016/06/01 21:24:14, tonikitoo1 wrote: > > On ...
10 months, 3 weeks ago (2016-06-03 23:58:14 UTC) #8
tonikitoo
On 2016/06/03 23:58:14, tonikitoo1 wrote: > On 2016/06/01 23:28:45, Michael Forney wrote: > > On ...
10 months, 3 weeks ago (2016-06-06 15:38:13 UTC) #9
Michael Forney
lgtm We'll see what the chromium/ozone people think. https://codereview.chromium.org/2024953007/diff/40001/ui/views/widget/desktop_aura/desktop_factory_ozone.cc File ui/views/widget/desktop_aura/desktop_factory_ozone.cc (right): https://codereview.chromium.org/2024953007/diff/40001/ui/views/widget/desktop_aura/desktop_factory_ozone.cc#newcode32 ui/views/widget/desktop_aura/desktop_factory_ozone.cc:32: // ...
10 months, 3 weeks ago (2016-06-06 20:08:21 UTC) #10
joone
https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp File ui/views/views.gyp (right): https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp#newcode846 ui/views/views.gyp:846: '--platform_list=<(platform_list_txt_file)', How about passing '--platform=wayland' instead of this?
10 months, 3 weeks ago (2016-06-06 22:37:58 UTC) #12
joone
https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp File ui/views/views.gyp (right): https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp#newcode846 ui/views/views.gyp:846: '--platform_list=<(platform_list_txt_file)', On 2016/06/06 22:37:58, joone wrote: > > How ...
10 months, 3 weeks ago (2016-06-07 00:04:17 UTC) #13
tonikitoo
On 2016/06/06 22:37:58, joone wrote: > https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp > File ui/views/views.gyp (right): > > https://codereview.chromium.org/2024953007/diff/40001/ui/views/views.gyp#newcode846 > ...
10 months, 2 weeks ago (2016-06-07 12:17:14 UTC) #14
rjkroege
The goal here is to support running Chrome in "desktop mode" on Wayland? I am ...
10 months, 2 weeks ago (2016-06-07 23:42:09 UTC) #15
not to use - tonikitoo
On 2016/06/07 23:42:09, rjkroege wrote: Hi Robert. Thanks for looking. > The goal here is ...
10 months, 2 weeks ago (2016-06-08 00:01:37 UTC) #16
joone
@tonikitoo can you rebase your CL?
6 months, 3 weeks ago (2016-09-30 07:45:20 UTC) #17
fwang
I believe the agreed approach for upstream Ozone is to do desktop integration via Mus ...
2 months ago (2017-02-17 11:03:48 UTC) #18
tonikitoo
2 months ago (2017-02-17 17:07:51 UTC) #19
Message was sent while issue was closed.
On 2017/02/17 11:03:48, fwang wrote:
> I believe the agreed approach for upstream Ozone is to do desktop integration
> via Mus
>
(https://docs.google.com/presentation/d/13TV2sjLlO8Nqqm6jgaNLwM9v03QEA0idIOS8M...)
> so I guess we can close this now?

Closed.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46